Subject: RE: [NSIS] commentson on draft-ietf-nsis-req-03.txt

From: [email-masked]
Date: Fri, 5 Jul 2002 11:31:48 +0300

Hi Georgios,

Good points, some comments:

> Comment_1: general:
> There are many requirements that are affected by the fact 
> that NSIS will have 
> to concentrate mainly on the in-band (in-path case).
> What should we do with them? maybe list them as optional and 
> to be done in the future?

I think that we need to seperate off-path requirements from the main 
document. In my opinion, these are non-requirements for the current 
charter.  I would support moving these into an appendix,
which discusses off-path signaling.

> I propose to use the terms given in draft-hancock-nsis-fw-00.txt 
> regarding NSIS Initiator (instead of QoS Initiator), NSIS Forwarder 
> (instead of QoS Controller) and NSIS Responder. This applies also 
> for other additional terms that are 
> included into draft-hancock-nsis-fw-00.txt and are not 
> included into the requirements draft.

I support this, but I think we should have some WG discussion on 
this.
 
> Please remove or signifficantly modify bullet 2:
> "We see the network at the level of domains/subdomains rather 
> than individual routers ...... Aggregation can also take 
> place at subdomain boundaries."
> 
> The reasonsof asking this are:
>     * not each domain but any router that implements a QoS 
> controller or QoS initiator can use NSIS signaling;
>    * It  is contradictory with bullet 4  (of the same 
> section) that mentions:
>        " Each router on the data path implements a QoS 
> controller and QoS initiator."

I don't see your point.  If we are signaling for some 'NSIS
resource' - does each router on the path suply this resource,
is it aggregated or not?  We are not designing a specific
host to router, or router to router protocol; in my opinion
we are doing something a bit broader.  However, what we do
may be applicable to this.

> Comment_4: Section 4.1: Assumptions and exclusions (Page 11):
> 
> Bullet 6:
> Please change the text:
> "NSIS assumes to operate with networks using standard 
> ("normal") L3 routing"
> 
> INTO 
> 
> "NSIS assumes to operate with networks using standard 
> ("normal") L3 routing  as described in RFC 2993."

I am perplexed at this reference - 2993 is "Architectural Implications 
of NAT" - what does this have to do with NSIS?

John

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: Marcus Brunner <[email-masked]>
Date: Fri, 05 Jul 2002 11:01:09 +0200

> which discusses off-path signaling.

I still don't see what problem people have with off-path signaling (and I 
would call tunneling off-path as well). If the working group agrees to 
remove some of the req fine, let me know which ones.

> I support this, but I think we should have some WG discussion on

Yes, sure, but I can a that point in time not rely on a personal 
submission. And the terms showed up first in the req draft. I agree that 
there are good reasons to change them, but we need consensus on that.

> may be applicable to this.
I don't understand georgios point but I think we need to modify section 3 
anyway (or even remove it, because most of the stuff is framework related.

> of NAT" - what does this have to do with NSIS?

Here I don't want to include any reference, The fuzzyness is on purpose.

If you start talking about NATs this might be an issue for NSIS, whether 
NSIS must work over NATs or not or don't care.

Marcus

--------------------------------------
Dr. Marcus Brunner
Network Laboratories
NEC Europe Ltd.

E-Mail: [email-masked]
WWW:    http://www.ccrle.nec.de/
personal home page: http://www.brubers.org/marcus